aboutsummaryrefslogtreecommitdiff
path: root/src/test
diff options
context:
space:
mode:
authorNick Mathewson <nickm@torproject.org>2018-07-17 14:56:52 -0400
committerNick Mathewson <nickm@torproject.org>2018-07-17 14:56:52 -0400
commit12afdcc15a8429bcc50d9287321849b6fa924c2f (patch)
treeeba8f34d71fcd526254b20d418bce9668448c57d /src/test
parent6fd301fa8a1219ac5f00342a1886cf8692912c0b (diff)
parent304ee896d16dcc058a92998133ee77be24bfa735 (diff)
downloadtor-12afdcc15a8429bcc50d9287321849b6fa924c2f.tar.gz
tor-12afdcc15a8429bcc50d9287321849b6fa924c2f.zip
Merge branch 'maint-0.3.4'
Diffstat (limited to 'src/test')
-rwxr-xr-xsrc/test/test_keygen.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/src/test/test_keygen.sh b/src/test/test_keygen.sh
index b3d4d8e39a..455f9e7d42 100755
--- a/src/test/test_keygen.sh
+++ b/src/test/test_keygen.sh
@@ -13,6 +13,14 @@ if [ $# -eq 0 ] || [ ! -f ${1} ] || [ ! -x ${1} ]; then
fi
fi
+UNAME_OS=`uname -s | cut -d_ -f1`
+if test "$UNAME_OS" = 'CYGWIN' || \
+ test "$UNAME_OS" = 'MSYS' || \
+ test "$UNAME_OS" = 'MINGW'; then
+ echo "This test is unreliable on Windows. See trac #26076. Skipping." >&2
+ exit 77
+fi
+
if [ $# -ge 1 ]; then
TOR_BINARY="${1}"
shift